Page MenuHomePhabricator

[api-feature] Luke081515Bot uses deprecated API entry points
Closed, ResolvedPublic

Description

The robot @Luke081515Bot uses deprecated API entry points and accounts for roughly half of all the deprecation warning we log.

An example on enwiki: https://en.wikipedia.org/wiki/Special:ApiFeatureUsage?wpagent=User%3ALuke081515Bot&wpstartdate=2019-05-20&wpenddate=2019-05-20

FeatureDateUses
action=query&prop=revisions&rvcontentformat2019-05-202,728,980
action=query&prop=revisions&!rvslots2019-05-202,728,962

According to the user agent being received, that would be due to Cygnus-Framework V2.1 alpha used by at least those scripts/bots:

Script7 days hits
CTT28 millions
AutoQSDeleteUnwanted28 millions
Queue10 millions
AutoQSCheckURV1138
SEODetector1064
URVAddNew22

I would guess it is just about updating the Cygnus Framework?

It seems both deprecations are due to mediawiki/core change 07842be379ca3d4d0bc0608c217dd0e8cd7cbe4b T200568 which states in the release notes:

  • action=query&prop=revisions now takes a rvslots parameter to indicate the multi-content revision slots for which content should be returned. It also has a new rvprop, 'roles', to indicate which roles have slots. A deprecation warning will be issued if rvprop=content or rvprop=contentmodel are used without rvslots.
    • The rvcontentformat parameter to action=query&prop=revisions has been deprecated. Clients should be prepared to deal with the default format for relevant models.

Event Timeline

hashar created this task.May 20 2019, 9:05 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 20 2019, 9:05 AM
Aklapper renamed this task from Luke081515Bot to Luke081515Bot uses deprecated API entry points.May 20 2019, 12:24 PM
hashar added a comment.Sep 4 2019, 7:58 AM

@Luke081515 could you have a look at the bot using a deprecated MediaWiki API call please? :]

Anomie added a subscriber: Anomie.
Luke081515 reassigned this task from Luke081515 to hashar.Sep 26 2019, 12:10 AM

Hi @hashar, can you take a look if the warnings decrease now, and if there are still warnings? If everything works like it was planned, there should be no call to the old version from my bot account.

Luke081515 triaged this task as Medium priority.Sep 26 2019, 12:10 AM

For reference I looked at (private) https://logstash.wikimedia.org/app/kibana#/dashboard/api-feature-usage-top-users filtering with: username.raw:"Luke081515Bot".

CTT and Queue were the top scripts still using "action=query&prop=revisions&!rvslots" and "action=query&prop=revisions&rvcontentformat". They are gone since midnight UTC.

Congratulations!


There are a few left on dewiki from AutoQSDeleteUnwanted and AutoQSCheckURV

API featureAgent4 hours hits
action=query&prop=revisions&rvcontentformatUser:Luke081515Bot - AutoQSDeleteUnwanted - Cygnus-Framework V2.1 alpha616
action=query&prop=revisions&!rvslotsUser:Luke081515Bot - AutoQSDeleteUnwanted - Cygnus-Framework V2.1 alpha610
action=query&prop=revisions&!rvslotsUser:Luke081515Bot - AutoQSCheckURV - Cygnus-Framework V2.1 alpha16
action=query&prop=revisions&rvcontentformatUser:Luke081515Bot - AutoQSCheckURV - Cygnus-Framework V2.1 alpha16

Those can be seen at:

https://de.wikipedia.org/wiki/Spezial:API-Funktionsverwendung?wpagent=User%3ALuke081515Bot+-+AutoQSCheckURV+-+Cygnus-Framework+V2.1+alpha&wpstartdate=2019-09-24&wpenddate=2019-09-26
https://de.wikipedia.org/wiki/Spezial:API-Funktionsverwendung?wpagent=User%3ALuke081515Bot+-+AutoQSDeleteUnwanted+-+Cygnus-Framework+V2.1+alpha&wpstartdate=2019-09-24&wpenddate=2019-09-26

Apparently via some cron jobs running ever half hour.

And here is a view of API feature logs per username. Luke081515Bot was the green area at the bottom right and accounted for roughly 40% of the logs :]

hashar renamed this task from Luke081515Bot uses deprecated API entry points to [api-feature] Luke081515Bot uses deprecated API entry points.Sep 26 2019, 8:28 AM
hashar moved this task from Untriaged to Debug-only on the Wikimedia-production-error board.
hashar reassigned this task from hashar to Luke081515.Sep 26 2019, 8:31 AM

A few more are still happening on dewiki, but overall it is 99% done! Thank you very much.

FYI, you can check this yourself if your bot uses a distinct user agent, by entering the agent (or a prefix of the agent) into https://www.mediawiki.org/wiki/Special:ApiFeatureUsage.

hashar closed this task as Resolved.Thu, Oct 15, 3:53 PM

That one got mostly fixed ages ago.

Aklapper removed a subscriber: Anomie.Fri, Oct 16, 5:41 PM